Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.colorSpaces
Class Pattern<TDataObject extends PdfDataObject>

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<TDataObject>
          org.pdfclown.documents.contents.colorSpaces.Color<TDataObject>
              org.pdfclown.documents.contents.colorSpaces.Pattern<TDataObject>

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Direct Known Subclasses:
  ShadingPattern, TilingPattern

    @PDF(value=PDF12)
    public abstract class Pattern<TDataObject extends PdfDataObject>

extends Color<TDataObject>

Paint that consists of a repeating graphical figure or a smoothly varying color gradient instead of a simple color [PDF:1.6:4.6].

Since:
  0.1.0
Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static Pattern<?>` | `Default`

Constructor Summary
`protected` | `Pattern(PatternColorSpace colorSpace, PdfDirectObject baseObject)`
`protected` | `Pattern(PdfDirectObject baseObject)`

Method Summary
`Object` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`List<PdfDirectObject>` | `getComponents()` Gets the components defining this color value.
`protected PdfDictionary` | `getDictionary()` Gets this pattern's dictionary.
`double[]` | `getMatrix()` Gets the pattern matrix, a transformation matrix that maps the pattern's internal coordinate system to the default coordinate system of the pattern's parent content stream (the content stream in which the pattern is defined as a resource).
`static Pattern<?>` | `wrap(PdfDirectObject baseObject)` Wraps the specified base object into a pattern object.

Methods inherited from class org.pdfclown.documents.contents.colorSpaces.Color
`getColorSpace, normalizeComponent`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Default

    public static final Pattern<?> Default

Constructor Detail

### Pattern

    protected Pattern(PdfDirectObject baseObject)

### Pattern

    protected Pattern(PatternColorSpace colorSpace,
                      PdfDirectObject baseObject)

Method Detail

### wrap

    public static Pattern<?> wrap(PdfDirectObject baseObject)

  Wraps the specified base object into a pattern object.

  Parameters:
    `baseObject` - Base object of a pattern object.
  Returns:
    Pattern object corresponding to the base object.

### clone

    public Object clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<TDataObject extends PdfDataObject>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getComponents

    public List<PdfDirectObject> getComponents()

  Description copied from class: `Color`
  Gets the components defining this color value.

  Specified by:
    `getComponents` in class `Color<TDataObject extends PdfDataObject>`

### getMatrix

    public double[] getMatrix()

  Gets the pattern matrix, a transformation matrix that maps the pattern's internal coordinate system to the default coordinate system of the pattern's parent content stream (the content stream in which the pattern is defined as a resource).

  The concatenation of the pattern matrix with that of the parent content stream establishes the pattern coordinate space, within which all graphics objects in the pattern are interpreted.

### getDictionary

    protected final PdfDictionary getDictionary()

  Gets this pattern's dictionary.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.